`ArrayWrapper` gives TypeScript visibility into the `OCType` values of an array without exposing Array methods (it is problematic to attempt to invoke methods during the course of an optional chain traversal).

### Type parameters

- #### T

### Hierarchy

- ArrayWrapper

### Indexable

[K: number]: OCType<T>

`ArrayWrapper` gives TypeScript visibility into the `OCType` values of an array without exposing Array methods (it is problematic to attempt to invoke methods during the course of an optional chain traversal).

## Index

### Properties

- length

## Properties

### length

length: OCType<number>

- Defined in node_modules/ts-optchain/dist/index.d.ts:41

Generated using TypeDoc